Page MenuHomePhabricator

Upgrade to Gerrit 2.16.12
Open, HighPublic

Subscribers
Tokens
"Like" token, awarded by matej_suchanek."Orange Medal" token, awarded by Tgr."Orange Medal" token, awarded by Krinkle."Like" token, awarded by D3r1ck01."Like" token, awarded by MarcoAurelio.
Assigned To
None
Authored By
Paladox, Jul 30 2018

Description

There has been over 5682 commits since 2.15 (This will be the last 2.x release (10 years after the first commit was produced for making gerrit 2.x):

Notable changes:

Related Objects

StatusAssignedTask
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
OpenNone
OpenNone
ResolvedPaladox
OpenNone
OpenNone
OpenNone
StalledNone
OpenNone
OpenPaladox
ResolvedPaladox
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedPaladox
ResolvedPaladox
DeclinedNone
ResolvedPaladox
Resolvedhashar
Resolvedhashar
Resolvedhashar
ResolvedNone
ResolvedJoe
ResolvedJoe
ResolvedJdforrester-WMF
Resolvedbd808
Resolvedhashar
Resolvedhashar
Duplicatehashar
OpenNone
OpenNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Paladox renamed this task from Upgrade to Gerrit 2.16.1 to Upgrade to Gerrit 2.16.2.Dec 19 2018, 10:02 PM
Paladox updated the task description. (Show Details)

I support upgrading. The blocker for me was that previously PolyGerrit didn't supported creating or editting patches via UI. Now it seems it allows it :)

Paladox renamed this task from Upgrade to Gerrit 2.16.2 to Upgrade to Gerrit 2.16.3.Jan 11 2019, 4:09 PM
Paladox updated the task description. (Show Details)
hashar updated the task description. (Show Details)Jan 24 2019, 9:22 AM
Paladox renamed this task from Upgrade to Gerrit 2.16.3 to Upgrade to Gerrit 2.16.4.Jan 24 2019, 4:53 PM
Paladox updated the task description. (Show Details)

@thcipriani actually i was wrong, that end point not being available was not breaking zuul (was causing spam) but it was because i set http:// for some links. Fixed when i changed to https:// and works on https://gerrit.git.wmflabs.org/r/ (zuul/jenkins).

Paladox updated the task description. (Show Details)Feb 2 2019, 4:55 PM
Paladox updated the task description. (Show Details)Feb 2 2019, 11:58 PM
Paladox updated the task description. (Show Details)Feb 3 2019, 12:04 AM

Change 458593 abandoned by Paladox:
Gerrit: Make header a blue and the text white

https://gerrit.wikimedia.org/r/458593

We should do T211139 at the same time as this upgrade.

This comment was removed by Paladox.
This comment was removed by Paladox.
Dzahn added a subscriber: Dzahn.Feb 8 2019, 1:01 AM

test

ACK, let's confirm phab mail works after the latest deploy.

Paladox renamed this task from Upgrade to Gerrit 2.16.4 to Upgrade to Gerrit 2.16.5.Feb 8 2019, 11:29 PM
Paladox updated the task description. (Show Details)
Krinkle updated the task description. (Show Details)Feb 16 2019, 8:21 PM
Krinkle added a subscriber: Krinkle.

The lack of dashboard support in PolyGerrit (they return HTTP 500) is the main reason I'm unable to switch currently. Given software releases rarely get something right the first time, I'm hoping we'll upgrade from our 2..15 to 2.16 soon so that we can try this out and address any major issues before Gerrit 3.0, which removes GWTUI.

Paladox renamed this task from Upgrade to Gerrit 2.16.5 to Upgrade to Gerrit 2.16.6.Mar 1 2019, 6:31 PM
Paladox updated the task description. (Show Details)
Paladox renamed this task from Upgrade to Gerrit 2.16.6 to Upgrade to Gerrit 2.16.7.Mar 16 2019, 5:58 PM
Paladox updated the task description. (Show Details)
Paladox raised the priority of this task from Normal to High.Mar 18 2019, 11:03 PM

After the incident over the weekend, it's brought up the fact we cannot fall over to gerrit2001 due to the db. This update will allow us to drop the db, thus setting a higher priority.

Dvorapa added a subscriber: Dvorapa.Apr 4 2019, 7:57 AM
Tgr awarded a token.Apr 19 2019, 6:14 AM

Change 463519 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] Gerrit: Add flogger javaopts

https://gerrit.wikimedia.org/r/463519

Paladox added a parent task: Restricted Task.May 7 2019, 8:56 PM
hashar added a subscriber: brennen.May 7 2019, 9:23 PM

T211139: Convert Gerrit to use H2 as the database I don't think it is blocker / subtask? Seems it should instead by blocked on the upgrade of Gerrit 2.16 upgrade.

Zuul has been upgraded and should work fine.

I think the last blockers are:

  • announce that PolyGerrit will be mandatory
  • find out a few days of our time to prepare the upgrade. Notably it would be great to have @thcipriani to not lead the install in the interest of having more of us familiar with the upgrade (eg me and @brennen expressed interest).
  • figure out a date

Possibly just after the hackathon?

Dzahn added a comment.May 7 2019, 9:30 PM

I think the last blockers are:

No there are more blockers, at least T218844 and https://gerrit.wikimedia.org/r/c/operations/puppet/+/507787 and we just spent way too much time on trying to test that.. which isn't really possible because gerrit-slave server isn't running gerrit and i did not want to test in production.

Possibly just after the hackathon?

Could not take part in this anymore due to the WMF process. Did you get invited??

@hashar +1 to after the hackathon, i've announced that PolyGerrit is becoming the default UI here https://lists.wikimedia.org/pipermail/wikitech-l/2019-May/092057.html

Change 508892 had a related patch set uploaded (by Dzahn; owner: Paladox):
[operations/puppet@production] Gerrit: Enable gerrit.listProjectsFromIndex

https://gerrit.wikimedia.org/r/508892

Paladox renamed this task from Upgrade to Gerrit 2.16.7 to Upgrade to Gerrit 2.16.8.May 9 2019, 11:47 PM
Paladox updated the task description. (Show Details)

Change 508892 merged by Dzahn:
[operations/puppet@production] Gerrit: Enable gerrit.listProjectsFromIndex

https://gerrit.wikimedia.org/r/508892

Mentioned in SAL (#wikimedia-operations) [2019-05-14T01:36:59Z] <mutante> restarting Gerrit to apply 2 config changes - disable DNS reverse lookup (gerrit:508127) & list projects from index (gerrit:508892) - removes blockers for 2.16 upgrade (T200739)

Change 463519 merged by Dzahn:
[operations/puppet@production] Gerrit: Add flogger javaopts

https://gerrit.wikimedia.org/r/463519

Paladox added a comment.EditedMay 29 2019, 1:36 AM

Grrrit 2.15 becomes EOL this year after gerrit 3.1 is released (confirmed by gerrits new ESC ( Engineering Steering Committee) team) https://groups.google.com/forum/m/#!topic/repo-discuss/CBTInSFPdV8

Meno25 added a subscriber: Meno25.Jun 3 2019, 4:16 PM
Ltrlg added a subscriber: Ltrlg.Jun 6 2019, 12:56 PM
Paladox renamed this task from Upgrade to Gerrit 2.16.8 to Upgrade to Gerrit 2.16.9.Jun 17 2019, 9:30 PM
Paladox updated the task description. (Show Details)
Paladox renamed this task from Upgrade to Gerrit 2.16.9 to Upgrade to Gerrit 2.16.10.Jul 9 2019, 12:34 AM
Paladox updated the task description. (Show Details)

Do we have any remaining blockers left to move forward? If not, any estimate time for when this will be done? Probably we should inform people via wikitech at least one week before. Thanks.

greg added a subscriber: greg.Jul 11 2019, 10:01 PM

We are still trying to upgrade Gerrit to 2.15.14 successfully. We are running into issues when doing so, unfortuntately.

We'll definitely announce before we do it.

Paladox renamed this task from Upgrade to Gerrit 2.16.10 to Upgrade to Gerrit 2.16.11.1.Mon, Sep 9, 4:01 PM
Paladox updated the task description. (Show Details)
hashar added a comment.Mon, Sep 9, 8:09 PM

Gerrit 2.15 will reach its end of life at the next Gerrit hackathon in November 2019. Announcement:

https://www.gerritcodereview.com/2019-09-09-gerrit-3.1-release-and-2.15-planned-eol.html

Plans for Gerrit 3.1 release and end of life for 2.15
Sep 9, 2019 / news
Plans for releasing version 3.1 of Gerrit, and bringing 2.15 to end of life
During the [[ last ESC meeting | https://www.gerritcodereview.com/2019-09-03-esc-minutes.html ]] it was decided that we will aim to release Gerrit 3.1 during the upcoming hackathon in Sunnyvale in November 2019.
Per the support policy mentioned on the project homepage, this means that 2.15 will reach end of life and will no longer be actively supported.
See also the recent post about the EOL policy.

Paladox renamed this task from Upgrade to Gerrit 2.16.11.1 to Upgrade to Gerrit 2.16.12.Fri, Sep 20, 9:16 PM
Paladox updated the task description. (Show Details)